import {cd, path} from 'zx'
import {trim} from "licia";
import {run_deploy_batch, run_deploy_root, run_package, run_upload} from "./library.js";

// 切换目录
cd(trim(path.dirname(import.meta.dirname)))
// 执行流程
try {
    await run_deploy_root()
    await run_deploy_batch(['service-common'])
    await run_package('utils/patch')
    await run_upload('**/patch-1.0.0-SNAPSHOT.jar')
} catch (e) {
    console.error(e)
}